<!DOCTYPE HTML>
<html>
    <head>
        <script type="text/javascript" src="conf/config-prd.js"></script>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.10.2/jquery.min.js"></script>
    </head>
    <body>
        <form action="test-widget.html" method="get">
            ID Content: <input type="text" id="id" name="id" value="2674">
            <input type="submit" value="Submit">
        </form>
        <br>
        <div>ID Content : <label id="content_id"></label></div>
        <div>Title : <label id="title"></label></div>
        <div>Content Core ID : <label id="content_core_id"></label></div>
        <div>MPD : <label id="mpd"></label></div>
        <div>HLS : <label id="hls"></label></div>
        <a href="" id="play" target="_blank"><img id="poster" src=""  height="375" width="245"></img></a>
        
        <script>
            function getQueryStrings() { 
                var assoc  = {};
                var decode = function (s) { return decodeURIComponent(s.replace(/\+/g, " ")); };
                var queryString = location.search.substring(1); 
                var keyValues = queryString.split('&'); 
    
                for(var i in keyValues) { 
                var key = keyValues[i].split('=');
                if (key.length > 1) {
                        assoc[decode(key[0])] = decode(key[1]);
                    }
                } 
    
                return assoc;
            }
  
            var qs = getQueryStrings();
            var id = qs["id"];
            if (!id) { id = 2674; }

            var getContent = function(id) {
                params = {
                    "device_id": configs.content.device_id,
                    "password": configs.content.password,
                    "platform": configs.content.platform,
                    "username": configs.content.username
                }

                function callbackFunction(xmlhttp) 
                {
                    //alert(xmlhttp.responseXML);
                }

                var ItemJSON;
                var res;

                ItemJSON = JSON.stringify(params)
                URL = configs.content.urlbase + "/api/v/login"
                var xmlhttp = new XMLHttpRequest();
                xmlhttp.onreadystatechange = callbackFunction(xmlhttp);
                xmlhttp.open("POST", URL, false);
                xmlhttp.setRequestHeader("Content-Type", "application/json");
                xmlhttp.onreadystatechange = callbackFunction(xmlhttp);
                xmlhttp.send(ItemJSON);
                res =  JSON.parse(xmlhttp.responseText);
                token = res.data.access_token;
                user_id = res.data.user.id;

                URL = configs.content.urlbase + "/api/v5/contents/" + id
                var xmlhttp = new XMLHttpRequest();
                xmlhttp.onreadystatechange = callbackFunction(xmlhttp);
                xmlhttp.open("GET", URL, false);
                xmlhttp.setRequestHeader("Content-Type", "application/json");
                xmlhttp.setRequestHeader("Authorization", token);
                xmlhttp.send();
                resJSON =  xmlhttp.responseText;
                dataObj = JSON.parse(resJSON);
                this.id = dataObj.data.id;
                this.content_core_id = dataObj.data.content_core_id;
                this.title = dataObj.data.title;
                this.poster = dataObj.data.thumb_url;
                this.banner = dataObj.data.url_wide_poster;

                URL =  configs.content.urlbase + "/api/v4/player/" + dataObj.data.content_core_id
                var xmlhttp = new XMLHttpRequest();
                xmlhttp.onreadystatechange = callbackFunction(xmlhttp);
                xmlhttp.open("GET", URL, false);
                xmlhttp.setRequestHeader("Content-Type", "application/json");
                xmlhttp.setRequestHeader("Authorization", token);
                xmlhttp.send();
                resJSON =  xmlhttp.responseText;
                dataObj = JSON.parse(resJSON);
                if (dataObj.status.code == 0) {
                    if (Object.keys(dataObj.data).length === 0 && dataObj.data.constructor === Object) {
                    // if (dataObj.data !=none) {
                        var hls = dataObj.data.player.hls;
                        var mpd = dataObj.data.player.mpd;
                        this.hls = hls;
                        this.hls = mpd;
                        this.url = "https://okezone.visionplus.id/player-prd.html?url="+ mpd +"&url2=" + hls + "&img=" + banner;
                    }else{
                    }
            }

            var data = getContent(2);
            document.getElementById("content_id").innerHTML = data.id;
            document.getElementById("content_core_id").innerHTML = data.content_core_id;
            document.getElementById("title").innerHTML = data.title;

        </script>
    </body>
</html>